This forum uses cookies
This forum makes use of cookies to store your login information if you are registered, and your last visit if you are not. Cookies are small text documents stored on your computer; the cookies set by this forum can only be used on this website and pose no security risk. Cookies on this forum also track the specific topics you have read and when you last read them. Please confirm whether you accept or reject these cookies being set.

Can't program KNX devices via SpaceLynk
#1
Hello,

I'm trying to program some Zennio interfaces (Klic-PA) but, if I try to program via SpaceLynk, they keep making a "device does not respond in appropriate time" error.

If I use a KNX-USB interface no problem.

The strange thing is that I can program every other device, no problem at all.

Any ideas?

Thank you in advance.

UPDATE:

There are some line couplers, I already tried to reprogram them.

Everything works fine except for those Zennio devices.
Reply
#2
Hello, from firmware update (SpaceLYnk firmware V2.6.0 Hardware 2.X.X ) I have the same problem. with every devices that I have (ABB, Zennio and Scheneider). In my instalation, there are not line couplers.

My problem is that I don't have any other interface to program knx and now I have a lot of knx devices "asleep"

I would appreciate any help, I'm a bit desperate
Reply
#3
Can you try to downgrade to 2.5.1 and check please? This downgrade should work.
Reply
#4
(03.03.2021, 14:22)jose_dli Wrote: Hello, from firmware update (SpaceLYnk firmware V2.6.0 Hardware 2.X.X ) I have the same problem. with every devices that I have (ABB, Zennio and Scheneider). In my instalation,  there are not line couplers.

My problem is that I don't have any other interface to program knx and now I have a lot of knx devices "asleep"

I would appreciate any help, I'm a bit desperate

Same problem here. I have tried with an "original" LogicMachine LM5 and it works flawlessly. Any hint?
Reply
#5
(03.03.2021, 14:30)Daniel. Wrote: Can you try to downgrade to 2.5.1 and check please? This downgrade should work.

Is it safe? in the Upgrade menu said that it is not possible " Warning: firmware downgrade is not supported."

I don't want have another "brick"

Could you confirm me that downgrade is safe?
Reply
#6
I just downgraded myself to be sure Smile
From fw to fw we are implementing changes which can brake things, this time there were none of this.
Reply
#7
Thanks Daniel for your support,

After two days walking around and disassembling half of the electrical panel, I confirm that in my installation the spacelynk firmware 2.6.0 does not seem to work properly as a knxIpTunneling to program knx devices with ets 5.7. With fw 2.5.1 there is not this issue.

Now most of the menus on the "system" page do not work, like "upgrade", "shutdown", "knx connection" .... I forced a reboot to see if it would work but it did not.

And CPU looks overload, over 88%, before the normas is between 5 and 15%

Could you help me? thanks a lot,
Reply
#8
Clear browser cache
Reply
#9
So I only have one installation with a Spacelynk unit (not installed by me - I always install LogicMachine) and I'm sure I will never install one of it. I don't understand why it is considerably more expensive than a LM5 unit if its features are worse  Huh
Reply
#10
(03.03.2021, 17:02)Daniel. Wrote: Clear browser cache

Thanks Daniel for your help, now system menu works. 

cpu load is also in normal values, I think the overload was due tunneling in programming with ets.
Reply
#11
I'm having exactly the same problem with my Wiser for KNX. The issue only seems to relate to Zennio devices, all my other components are working fine (Gira, Schneider, MDT, Elsner, Weinzierl,...)
I downgraded the FW to 2.5.1 and there the Zennio components do work again. The strange thing is that I was unable to program a MDT Secure linecoupler under FW 2.5.1, but this seems to work under FW 2.6.0.
So indeed it looks like the IP tunneling is causing issues under FW 2.6.0.

I launched a support case with Schneider on 28th February but I did not receive any reply so far....
Luckily I still have a USB interface in the building next door.... But off course it's really annoying.

Thijs
Reply
#12
Hi
Can you test this patch?
http://dl.openrb.com/lmup/2021.03.17-knx_prog.lmup
Please make sure that you use 2.6.0 before installing it!
BR
Reply
#13
(17.03.2021, 09:06)Daniel. Wrote: Hi
Can you test this patch?
http://dl.openrb.com/lmup/2021.03.17-knx_prog.lmup
Please make sure that you use 2.6.0 before installing it!
BR
Thank you Daniel!

I will try it as as soon as possible.
In the mean time I was able to program a Zennio Square TMD 6 via the W4K as gateway by enabling the 'Use slower bus traffic' for this project in ETS.
This worked after a couple of tries, but it took about 10-15 minutes to program a single device.

Thijs
Reply
#14
(17.03.2021, 11:48)christiaens.t Wrote:
(17.03.2021, 09:06)Daniel. Wrote: Hi
Can you test this patch?
http://dl.openrb.com/lmup/2021.03.17-knx_prog.lmup
Please make sure that you use 2.6.0 before installing it!
BR

I just tested it and it works, so thank you for this patch!!
The download is rather slow the first time (as usual for Zennio devices), but now it seems to behave normally like all the other components!

I'm interested to know what was changed... :-)

Thijs
Reply
#15
Long frames were not supported.
Reply


Forum Jump: